<?php

	include_once( PLOG_CLASS_PATH."class/test/helpers/lifetypetestcase.class.php" );
	include_once( PLOG_CLASS_PATH."class/dao/bloginfo.class.php" );
	include_once( PLOG_CLASS_PATH."class/dao/blogs.class.php" );	
	include_once( PLOG_CLASS_PATH."class/data/timestamp.class.php" );		

	/**
	 * \ingroup Tests
	 *
	 * Test cases for the BlogInfo class
	 */
	class BlogInfo_Test extends LifeTypeTestCase
	{
		/** 
		 * regression test for mantis case 978 (http://bugs.lifetype.net/view.php?id=978)
		 */
		function testGetUpdateDateObject()
		{
			$blogs = new Blogs();
			// let's hope that blog '1' exists... if not throw an assert error
			$blog = $blogs->getBlogInfo( 1 );
			$this->assertTrue( $blog, "Couldn't load blog with id '1', make sure it exists!" );
			
			// test the getUpdateDateObject() method to make sure it does not return the current date
			$now = new Timestamp();
			$blogUpdateDate = $blog->getUpdateDateObject();
			
			// check that the dates are different
			$sameDate = ( $now->getIsoDate() == $blogUpdateDate->getIsoDate());
			
			$this->assertFalse( $sameDate, "Please see Mantis case 978 <a href='http://bugs.lifetype.net/view.php?id=978'>here</a>." );
		}
	}
?>